Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 632408 (CVE-2017-15041, CVE-2017-15042)

Summary: <dev-lang/go-1.9.1: multiple vulnerabilities
Product: Gentoo Security Reporter: William Hubbs <williamh>
Component: VulnerabilitiesAssignee: Gentoo Security <security>
Status: RESOLVED FIXED    
Severity: normal CC: williamh
Priority: Normal Flags: stable-bot: sanity-check+
Version: unspecified   
Hardware: All   
OS: Linux   
URL: https://groups.google.com/forum/m/#!topic/golang-nuts/sHfMg4gZNps
Whiteboard: B2 [glsa cve]
Package list:
dev-lang/go-1.9.1
Runtime testing required: ---

Description William Hubbs gentoo-dev 2017-09-29 17:15:16 UTC
Arch teams, please stabilize dev-lang/go-1.9.

Thanks,

William
Comment 1 Larry the Git Cow gentoo-dev 2017-10-04 22:01:22 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7a11bc14b699ad8cd003731d4cda79bec5ec84d1

commit 7a11bc14b699ad8cd003731d4cda79bec5ec84d1
Author:     William Hubbs <williamh@gentoo.org>
AuthorDate: 2017-10-04 22:00:01 +0000
Commit:     William Hubbs <williamh@gentoo.org>
CommitDate: 2017-10-04 22:00:01 +0000

    dev-lang/go: 1.9.1 version bump
    
    Committed straight to stable on amd64 for volnerabilities discussed
    here:
    
             https://groups.google.com/forum/m/#!topic/golang-nuts/sHfMg4gZNps
    
             Bug: https://bugs.gentoo.org/show_bug.cgi?id=632408
    
    Package-Manager: Portage-2.3.8, Repoman-2.3.3
    RepoMan-Options: --force

 dev-lang/go/Manifest        |   1 +
 dev-lang/go/go-1.9.1.ebuild | 227 ++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 228 insertions(+)}
Comment 2 Thomas Deutschmann gentoo-dev 2017-10-04 22:26:17 UTC
By nesting a git checkout inside another version control repository, it was possible for an attacker to trick the “go get” command into executing arbitrary code. The go command now refuses to use version control checkouts found inside other version control systems, with an exception for git submodules (git inside git).
The issue is tracked as https://golang.org/issue/22125 (Go 1.8.4) and https://golang.org/issue/22131 (Go 1.9.1). Fixes are linked from the issues.


In the smtp package, PlainAuth is documented as sending credentials only over authenticated, encrypted TLS connections, but it was changed in Go 1.1 to also send credentials on non-TLS connections when the remote server advertises that PLAIN authentication is supported. The change was meant to allow use of PLAIN authentication on localhost, but it has the effect of allowing a man-in-the-middle attacker to harvest credentials. PlainAuth now requires either TLS or a localhost connection before sending credentials, regardless of what the remote server claims.
This issue is tracked as https://golang.org/issue/22134 (Go 1.8.4) and https://golang.org/issue/22133 (Go 1.9.1). Fixes are linked from the issues.
Comment 3 Thomas Deutschmann gentoo-dev 2017-10-04 22:53:48 UTC
x86 stable
Comment 4 Stabilization helper bot gentoo-dev 2017-10-04 23:01:03 UTC
An automated check of this bug failed - the following atom is unknown:

dev-lang/go-1.9.1

Please verify the atom list.
Comment 5 Thomas Deutschmann gentoo-dev 2017-10-04 23:11:10 UTC
Stablebot: You should update your repository! :)
Comment 6 Markus Meier gentoo-dev 2017-10-16 18:14:26 UTC
arm stable, all arches done.
Comment 7 Aleksandr Wagner (Kivak) 2017-10-16 18:20:59 UTC
@Maintainer(s): Please clean the vulnerable versions from the tree.

@Security: Please vote on whether a glsa is needed or not.

Gentoo Security Padawan
Kivak
Comment 8 Christopher Díaz Riveros (RETIRED) gentoo-dev Security 2017-10-16 22:06:06 UTC
New GLSA Request filed.

Thank you all
Comment 9 GLSAMaker/CVETool Bot gentoo-dev 2017-10-23 01:04:22 UTC
This issue was resolved and addressed in
 GLSA 201710-23 at https://security.gentoo.org/glsa/201710-23
by GLSA coordinator Aaron Bauman (b-man).
Comment 10 Aaron Bauman gentoo-dev Security 2017-10-23 01:05:00 UTC
re-opened for cleanup.
Comment 11 William Hubbs gentoo-dev 2017-10-23 18:16:13 UTC
All old versions are removed.

Thanks,

William